package nl.iobyte.themeparkconnector.api.network.packet;

import nl.iobyte.themeparkconnector.api.client.objects.Notification;
import nl.iobyte.themeparkconnector.api.network.payload.NotificationPayload;
import nl.iobyte.themeparkconnector.api.packet.enums.PacketChannel;
import nl.iobyte.themeparkconnector.api.packet.objects.AbstractPacket;

public class NotificationPacket extends AbstractPacket {

    public NotificationPacket(Notification notification) {
        super(PacketChannel.CLIENT_NOTIFICATION, new NotificationPayload(notification));
    }

}
