package nl.iobyte.themeparkconnector.listeners;

import nl.iobyte.themeparkconnector.ThemeParkConnector;
import nl.iobyte.themeparkconnector.api.ThemeParkConnectorAPI;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.event.player.PlayerQuitEvent;
import java.util.UUID;

public class PlayerListener implements Listener {

    @EventHandler
    public void onJoin(PlayerJoinEvent e) {
        Player player = e.getPlayer();
        ThemeParkConnectorAPI api = ThemeParkConnector.getInstance().getAPI();

        //Register ClientConnection
        api.getNetworkingService().register(player);
    }
    @EventHandler
    public void onQuit(PlayerQuitEvent e) {
        Player player = e.getPlayer();
        UUID uuid = player.getUniqueId();

        //Remove ClientConnection
        ThemeParkConnector.getInstance().getAPI().getNetworkingService().remove(uuid);
    }

}
