package nl.iobyte.themeparkconnector.api.network.packet.operator;

import nl.iobyte.themepark.api.attraction.enums.Status;
import nl.iobyte.themeparkconnector.api.network.payload.operator.OperatorStatePayload;
import nl.iobyte.themeparkconnector.api.network.payload.operator.StatusChangePayload;
import nl.iobyte.themeparkconnector.api.operator.objects.panel.OperatorItemState;
import nl.iobyte.themeparkconnector.api.packet.enums.PacketChannel;
import nl.iobyte.themeparkconnector.api.packet.objects.AbstractPacket;

public class StatusChangePacket extends AbstractPacket {

    public StatusChangePacket(Status status) {
        super(PacketChannel.CLIENT_ATTRACTION_STATE, new StatusChangePayload(
                status
        ));
    }

}
